%define name chasm
%define version 1.2.0
%define release %mkrel 1

%define pack %{name}_%{version}

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Language Interoperability Tools
Name: %{name}
Version: %{version}
Release: %{release}
License:  Redistributable
Group: System/Libraries
Source0: %{pack}.tar.gz
URL: http://chasm-interop.sourceforge.net/
BuildRoot: %{_tmppath}/%{pack}-buildroot
Packager:	Gri6507
Distribution:	PCLinuxOS

BuildRequires: gcc-gfortran

%description
Chasm lirbary

%package -n %libname
Summary:	Libraries for the %{name} package
Group:		System/Libraries

%description -n %libname
Chasm is a language transformation system created to improve Fortran and C/C++ language interoperability. Chasm (with the aid of associated tools) parses Fortran and C/C++ source code and automatically generates bridging code that can be used to make calls to routines in the foreign language. Chasm also supplies an array-descriptor library that provides an interface between C and F90 assumed-shape arrays. This allows arrays to be created in one language and then passed to and used by the other (foreign) language.

%package -n %libnamedev
Summary:	Headers and development libraries from %{name}
Group:		Development/Other
Requires:		%libname = %{version}
Provides:		lib%{name}-devel = %{version}-%{release}
Provides:		%name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%setup -n %{pack}

%build
%{configure}
%make

%install
%makeinstall

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig
%post -n %libnamedev -p /sbin/ldconfig
%postun -n %libnamedev -p /sbin/ldconfig

%files -n%libname
%defattr(-,root,root)
%{_bindir}
%{_libdir}/*
%{_datadir}/*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_includedir}/

%changelog
* Sun Mar 16 2008 Paul Grinberg <gri6507 TA yahoo TOD com> 1.2.0-1mypclinuxos-contribs
- Initial creation for PCLinuxOS
- fix release to mkrel 1 (texstar)
